# 数据源配置
spring:
    datasource:
        dynamic:
            strict: true
            primary: base
            datasource:
                victoriatourist:
                    url: jdbc:mysql://192.168.0.238:23063/bytesailing_victoriatourist?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
                    username: hx_mysql_byteSailing_rds
                    password: da~h2swYUI#aj134&y8K
                common:
                    url: jdbc:mysql://192.168.0.238:23063/bytesailing_common?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
                    username: hx_mysql_byteSailing_rds
                    password: da~h2swYUI#aj134&y8K
                oa:
                    url: jdbc:mysql://192.168.0.238:23063/bytesailing_oa?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
                    username: hx_mysql_byteSailing_rds
                    password: da~h2swYUI#aj134&y8K
                mes:
                    url: jdbc:mysql://192.168.0.238:23063/bytesailing_mes?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
                    username: hx_mysql_byteSailing_rds
                    password: da~h2swYUI#aj134&y8K
                wms:
                    url: jdbc:mysql://192.168.0.238:23063/bytesailing_wms?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
                    username: hx_mysql_byteSailing_rds
                    password: da~h2swYUI#aj134&y8K
                item:
                    url: jdbc:mysql://192.168.0.238:23063/bytesailing_item?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
                    username: hx_mysql_byteSailing_rds
                    password: da~h2swYUI#aj134&y8K
                supply:
                    url: jdbc:mysql://192.168.0.238:23063/bytesailing_supply?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
                    username: hx_mysql_byteSailing_rds
                    password: da~h2swYUI#aj134&y8K
                base:
                    url: jdbc:mysql://192.168.0.238:23063/bytesailing_base?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
                    username: hx_mysql_byteSailing_rds
                    password: da~h2swYUI#aj134&y8K
                iot:
                    url: jdbc:mysql://192.168.0.238:23063/bytesailing_iot?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
                    username: hx_mysql_byteSailing_rds
                    password: da~h2swYUI#aj134&y8K
                customer:
                    url: jdbc:mysql://192.168.0.238:23063/bytesailing_customer?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
                    username: hx_mysql_byteSailing_rds
                    password: da~h2swYUI#aj134&y8K
                purchase:
                    url: jdbc:mysql://192.168.0.238:23063/bytesailing_purchase?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
                    username: hx_mysql_byteSailing_rds
                    password: da~h2swYUI#aj134&y8K
                account:
                    url: jdbc:mysql://192.168.0.238:23063/bytesailing_account?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
                    username: hx_mysql_byteSailing_rds
                    password: da~h2swYUI#aj134&y8K
                sale:
                    url: jdbc:mysql://192.168.0.238:23063/bytesailing_sale?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
                    username: hx_mysql_byteSailing_rds
                    password: da~h2swYUI#aj134&y8K
                mail:
                    url: jdbc:mysql://192.168.0.238:23063/bytesailing_mail?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
                    username: hx_mysql_byteSailing_rds
                    password: da~h2swYUI#aj134&y8K
                kd100:
                    url: jdbc:mysql://192.168.0.238:23063/bytesailing_kd100?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
                    username: hx_mysql_byteSailing_rds
                    password: da~h2swYUI#aj134&y8K

    # redis 配置
    redis:
        # 地址
        host: 127.0.0.1
        # 端口，默认为6379
        port: 23784
        # 数据库索引
        database: 1
        # 密码
        password: w3G_11h4YjrsO_6P5Oi
        # 连接超时时间
        timeout: 10s
        lettuce:
            pool:
                # 连接池中的最小空闲连接
                min-idle: 0
                # 连接池中的最大空闲连接
                max-idle: 8
                # 连接池的最大数据库连接数
                max-active: 8
                # #连接池最大阻塞等待时间（使用负值表示没有限制）
                max-wait: -1ms

server:
    servlet:
        context-path: /prod-api

mail:
    # 调用邮箱服务url前缀
    urlPrefix: http://localhost:8088/mailService/
    abroadUrlPrefix: http://159.138.54.234:8088/mailService/

hx:
    httpUrl: http://139.159.251.109:81/prod-api/

# token配置
token:
    # 令牌自定义标识
    header: Authorization
    # 令牌密钥
    secret: abcdefghijklmnopqrstuvwxyz
    # 令牌有效期（默认30分钟）
    expireTime: 240